Bug 164041 - External module won't compile by earlier gcc versions
External module won't compile by earlier gcc versions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-23 03:52 EDT by Alexey Chentsov
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-29 21:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (638 bytes, patch)
2005-07-23 03:57 EDT, Alexey Chentsov
no flags Details | Diff

  None (edit)
Description Alexey Chentsov 2005-07-23 03:52:42 EDT
Description of problem:
During extended compilation with earlier gcc version like gcc-3.2 there's a 
compilation error 'cc1: Invalid option tune=pentium4'.

Version-Release number of selected component (if applicable):
kernel-devel-2.6.11-1.1369_FC4

How reproducible:
every time

Steps to Reproduce:
1.Make sure you have an older compiler version and some module source with path 
module_path
2.cd module_path
3.make M=`pwd` CC=gcc-older-version -C /lib/modules/`uname -r`/build/
  
Actual results:
Compilation error
cc1: Invalid option tune=pentium4

Expected results:


Additional info:
Comment 1 Alexey Chentsov 2005-07-23 03:57:55 EDT
Created attachment 117098 [details]
proposed patch

File in question is arch/i386/Makefile
Comment 2 Pete Zaitcev 2005-07-23 10:22:32 EDT
The patch looks reasonable, but please remember that it's completely wrong
to attempt to build an external module with a compiler different than one
used for the kernel. You must not override CC setting.
Comment 3 Alexey Chentsov 2005-07-23 19:06:46 EDT
There could be many circumstances and it is not necessarily critical to 
recompile the kernel every now and then. Some minor compiler update might 
happen. Or Binutils. Some binaries used by module could be precompiled by 
different compiler. So what. There's another posibility if one gets FC4 kernel 
for a ride/component test. It should be clear that there are cases when using 
different compiler in not completely wrong.

Whatever. It's irrelevant to the bug itself. I could restate the problem as one 
wouldn't be able to compile FC4 kernel source by older compilers.
Comment 4 Dave Jones 2005-07-28 03:32:02 EDT
fixed in cvs

Note You need to log in before you can comment on or make changes to this bug.